Skip to main content
`Ctrl`+`K`

# DMDAVecRestoreArrayDOFRead

Restores a multiple dimension array obtained with `DMDAVecGetArrayDOFRead()`

## Synopsis

    #include "petscdmda.h"
    PetscErrorCode DMDAVecRestoreArrayDOFRead(DM da, Vec vec, void *array)

Not Collective

## Input Parameters

- da - the `DMDA`

- vec - a vector the same size as one obtained with `DMCreateGlobalVector()` or `DMCreateLocalVector()`

- array - the `array` pointer

## See Also

DMDA - Creating vectors for structured grids, DMDA - Setting vector values, `DM`, `DMDA`, `DMDAGetGhostCorners()`, `DMDAGetCorners()`, `VecGetArray()`, `VecRestoreArray()`, `DMDAVecGetArray()`, `DMDAVecGetArrayDOF()`, `DMDAVecRestoreArrayDOF()`, `DMDAVecGetArrayWrite()`, `DMDAVecRestoreArrayWrite()`, `DMDAVecGetArrayRead()`, `DMDAVecRestoreArrayRead()`

## Level

intermediate

## Location

src/dm/impls/da/dagetarray.c

## Examples

src/ts/tutorials/extchemfield.c

Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages